<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: conversion.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: conversion.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>/**
 * Obtenir l'écriture décimale d'un entier naturel en écriture binaire.
 * 
 * @example
 * // returns '2'
 * binDeci('10');
 * @example
 * // returns '5'
 * binDeci('101');
 * @author DarkSATHI
 * @param {string} [binaire = "0"] L'écriture binaire d'un entier naturel.
 * @return {string} L'écriture décimale d'un entier naturel.
 * @version 0.1
 */

function binDeci(binaire = "0"){
    decimal = null
    for(i=0; i&lt;binaire.length; i++){
       decimal += Math.pow(2, binaire.length-1-i)*binaire[i]
    }
    return String(decimal)
}

let binaire = window.prompt("Donner un nombre en écriture binaire")
alert(binDeci(binaire))</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Global</h3><ul><li><a href="global.html#binDeci">binDeci</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.3</a> on Mon Sep 09 2019 20:08:17 GMT+0200 (GMT+02:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
